> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling-V3 テキストから動画

> - Kling-V3 Text to Video（kling-v3-text-to-video）モデルはテキストから動画生成をサポートします
- シングルショットとマルチショットモードをサポートし、効果音付きの動画を生成できます
- 非同期処理モード、返されたタスクIDを使用して[ステータスを照会](/ja/api-manual/task-management/get-task-detail)してください
- 生成された動画リンクは24時間有効です。速やかに保存してください



## OpenAPI

````yaml ja/api-manual/video-series/kling/kling-v3-text-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: kling-v3-text-to-video API
  description: AIモデルを使用してテキストから動画生成タスクを作成
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 動画生成
    description: AI動画生成API
paths:
  /v1/videos/generations:
    post:
      tags:
        - 動画生成
      summary: kling-v3-text-to-video API
      description: >-
        - Kling-V3 Text to Video（kling-v3-text-to-video）モデルはテキストから動画生成をサポートします

        - シングルショットとマルチショットモードをサポートし、効果音付きの動画を生成できます

        -
        非同期処理モード、返されたタスクIDを使用して[ステータスを照会](/ja/api-manual/task-management/get-task-detail)してください

        - 生成された動画リンクは24時間有効です。速やかに保存してください
      operationId: createVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
            examples:
              basic:
                summary: 基本テキストから動画生成
                value:
                  model: kling-v3-text-to-video
                  prompt: A cat running on a grass field under bright sunshine
                  duration: 5
                  aspect_ratio: '16:9'
                  quality: 720p
              pro_with_sound:
                summary: 1080P + 効果音付き
                value:
                  model: kling-v3-text-to-video
                  prompt: >-
                    Waves crashing against rocks during a thunderstorm, thunder
                    rumbling
                  duration: 10
                  aspect_ratio: '16:9'
                  quality: 1080p
                  sound: 'on'
              multi_shot:
                summary: マルチショット（カスタムセグメンテーション）
                value:
                  model: kling-v3-text-to-video
                  duration: 10
                  aspect_ratio: '16:9'
                  quality: 1080p
                  sound: 'on'
                  model_params:
                    multi_shot: true
                    shot_type: customize
                    multi_prompt:
                      - index: 1
                        prompt: >-
                          A person standing on a mountaintop gazing at the
                          sunrise
                        duration: '5'
                      - index: 2
                        prompt: >-
                          Camera pulls back to reveal the magnificent mountain
                          landscape
                        duration: '5'
              negative_prompt:
                summary: ネガティブプロンプト付き
                value:
                  model: kling-v3-text-to-video
                  prompt: A serene lake with mountains in the distance
                  negative_prompt: people, text, watermark
                  duration: 5
                  aspect_ratio: '16:9'
                  quality: 1080p
      responses:
        '200':
          description: 動画生成タスクが正常に作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足のため、チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセスが拒否されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: kling-v3-text-to-video'
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    VideoGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 動画生成モデル名
          enum:
            - kling-v3-text-to-video
          default: kling-v3-text-to-video
          example: kling-v3-text-to-video
        prompt:
          type: string
          description: >-
            生成する動画を説明するテキストプロンプト


            **注意:**

            - 最大`2500`文字

            -
            `multi_shot=true`かつ`shot_type=customize`の場合は空にできます（内容は`multi_prompt`で指定）

            - `multi_shot=false`または`shot_type=intelligence`の場合は**必須**
          example: A cat running on a grass field under bright sunshine
          maxLength: 2500
        negative_prompt:
          type: string
          description: 動画に表示すべきでないコンテンツを説明するネガティブプロンプト
          example: people, text, watermark
        duration:
          type: integer
          description: |-
            動画の長さ（秒）、デフォルトは`5`秒

            **注意:**
            - 範囲: `3`から`15`の整数
            - 課金は`duration`の値に基づき、長い動画ほどコストが高くなります
          minimum: 3
          maximum: 15
          default: 5
          example: 5
        aspect_ratio:
          type: string
          description: |-
            動画のアスペクト比

            **オプション:**
            - `16:9`: 横長動画
            - `9:16`: 縦長動画
            - `1:1`: 正方形動画
          enum:
            - '16:9'
            - '9:16'
            - '1:1'
          example: '16:9'
        quality:
          type: string
          description: |-
            解像度品質

            **オプション:**
            - `720p`: 標準画質（std）
            - `1080p`: 高画質（pro）
            - `4k`: 超高画質 4K
          enum:
            - 720p
            - 1080p
            - 4k
          default: 720p
          example: 720p
        sound:
          type: string
          description: |-
            効果音制御

            **オプション:**
            - `on`: 効果音を生成する
            - `off`: 効果音なし
          enum:
            - 'on'
            - 'off'
          default: 'off'
          example: 'off'
        model_params:
          type: object
          description: マルチショットとウォーターマーク制御用のモデル拡張パラメータ
          properties:
            multi_shot:
              type: boolean
              description: >-
                マルチショットモードを使用するかどうか


                **オプション:**

                - `true`:
                マルチショットモード、`shot_type`と併用する必要があります。`shot_type=customize`の場合、**`prompt`パラメータは無視されます**
                —
                代わりに`multi_prompt`で各ショットの内容を定義してください。`shot_type=intelligence`の場合、`prompt`は引き続き有効です。すべてのショットの`duration`の合計は、動画の総再生時間と一致する必要があります。

                - `false`: シングルショットモード（デフォルト）
              default: false
              example: false
            shot_type:
              type: string
              description: |-
                ショット分割方法、`multi_shot=true`の場合は**必須**

                **オプション:**
                - `customize`: カスタムセグメンテーション、`multi_prompt`が必要
                - `intelligence`: インテリジェントセグメンテーション、モデルが自動的にショットを分割
              enum:
                - customize
                - intelligence
              example: customize
            multi_prompt:
              type: array
              description: |-
                ショット情報リスト、`multi_shot=true`かつ`shot_type=customize`の場合は**必須**

                **注意:**
                - 最大`6`ショット、最小`1`
                - 各ショットのプロンプトは最大`512`文字
                - 各ショットの長さは >= 1かつ <= 総時間
                - **全ショットの合計時間は総タスク時間と一致する必要があります**
              items:
                type: object
                properties:
                  index:
                    type: integer
                    description: ショット番号、1から開始
                  prompt:
                    type: string
                    description: このショットのテキスト説明
                    maxLength: 512
                  duration:
                    type: string
                    description: このショットの長さ（秒）
                required:
                  - index
                  - prompt
                  - duration
              minItems: 1
              maxItems: 6
            watermark_info:
              type: object
              description: ウォーターマーク設定
              properties:
                enabled:
                  type: boolean
                  description: ウォーターマークを有効にするかどうか
        callback_url:
          type: string
          description: |-
            タスク完了時のHTTPSコールバックURL

            **コールバックタイミング:**
            - タスクが完了、失敗、またはキャンセルされた時にトリガー
            - 課金確認後に送信

            **セキュリティ制限:**
            - HTTPSプロトコルのみ
            - 内部IPアドレスは禁止（127.0.0.1, 10.x.x.x, 172.16-31.x.x, 192.168.x.x など）
            - URLの長さは`2048`文字以下

            **コールバックメカニズム:**
            - タイムアウト: `10`秒
            - 失敗後最大`3`回リトライ（失敗後`1`/`2`/`4`秒）
            - コールバックレスポンス形式はタスク照会APIと一致
            - 2xxステータスコードは成功とみなされ、その他のコードはリトライをトリガー
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1757169743
        id:
          type: string
          description: タスク ID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: 使用された実際のモデル名
          example: kling-v3-text-to-video
        object:
          type: string
          enum:
            - video.generation.task
          description: タスクタイプ
        progress:
          type: integer
          description: タスク進捗率（0-100）
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 動画タスクの詳細
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスク出力タイプ
          example: video
        usage:
          $ref: '#/components/schemas/VideoUsage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 300
        video_duration:
          type: integer
          description: 動画の長さ（秒）
          example: 5
    VideoUsage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_second
        credits_reserved:
          type: number
          description: 推定消費クレジット
          minimum: 0
          example: 270000
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ## すべてのAPIにBearer Token認証が必要です ##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````